Bug 518411 - Kernel hangs on loading drm for radeon
Summary: Kernel hangs on loading drm for radeon
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 11
Hardware: i586
OS: Linux
low
high
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-20 09:53 UTC by Catalin Bucur
Modified: 2010-02-01 13:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-01 13:50:04 UTC


Attachments (Terms of Use)

Description Catalin Bucur 2009-08-20 09:53:38 UTC
Description of problem:
After upgrading from Fedora 10 to 11, the kernel hangs on the first boot on initialisation of the video driver [drm] for radeon.

Version-Release number of selected component (if applicable):
2.6.29.6-217.2.8.fc11.i586

How reproducible:
Always

Steps to Reproduce:
1. Install kernel from Fedora 11 distribution (original or from updates)
2. Boot normally
3. System hangs on kernel initialisation
  
Actual results:
Hangs and freeze

Expected results:
Booting up normally

Additional info:
The screen after hang looks like this:
===============================================
Initalizing network drop monitor service
Freeing unused kernel memory: 424k freed
Write protecting the kernel read-only data: 1448k
[drm] Initialized drm 1.1.0 20060810
radeon 0000:01:05.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
[drm] Detected VRAM RAM=32768K, accessible=32768K, BAR=131072K 
===============================================

( Could be duplicate of this: https://bugzilla.redhat.com/show_bug.cgi?id=498883 )

Comment 1 Catalin Bucur 2009-08-20 09:56:00 UTC
Now, the system boots normally with kernel 2.6.27.29-170.2.79.fc10.i686 from Fedora 10 (before upgrade). So, the problem is only with Fedora 11 kernels.

Comment 2 Jérôme Glisse 2009-10-14 10:46:12 UTC
Can you test with fedora 12 livecd and report if it works with it.

Comment 3 Catalin Bucur 2009-10-26 12:30:31 UTC
Unfortunately, I tried livecd's on two different computers with two different discs and after booting it's trying to read some sectors over and over. I don't think that both discs are bad, could be something with iso image.
Anyway, I saw many people saying that problems like mine solved after they installed video drivers from Fedora 12, so I am waiting to came out final release (maybe next month) and than to upgrade the distribution. I'll come with news after that. Thank you for your help.

Comment 4 Colin Lai 2009-11-12 15:01:56 UTC
Sure there is something wrong within radeon module. I give my case:
I use KVM avocent DSR2035, and Dell PowerEdge 1950/2950 with ATI Technologies Inc ES1000 [1002:515e] (rev 02), Kernel driver in use: radeon.
DSR2035(Appliance firmware version 03.07.01.05) have at least three connector[PS2/USB1/USB2]. 
Kernel dump only when I use USB2(DSAVIQ-USB2, Firmware 3.2.1.6) connector and Linux kernel > 2.6.29.
I tried fc11, fc12beta netinstall x86_64 cd, both error exit.
Then I use fc 11 x86_64 with serial redirection the log:

Creating /dev
Creating initial device nodes
usb 1-3: New USB device found, idVendor=0624, idProduct=0201
usb 1-3: New USB device strings: Mfr=2, Product=3, SerialNumber=1
usb 1-3: Product: Virtual Media KVM Module
usb 1-3: Manufacturer: Avocent
usb 1-3: SerialNumber: 130430041F5
usb 1-3: configuration #1 chosen from 1 choice
input: Avocent Virtual Media KVM Module as /devices/pci0000:00/0000:00:1d.7/usb2
generic-usb 0003:0624:0201.0001: input,hidraw0: USB HID v1.10 Keyboard [Avocent0
input: Avocent Virtual Media KVM Module as /devices/pci0000:00/0000:00:1d.7/usb3
generic-usb 0003:0624:0201.0002: input,hidraw1: USB HID v1.10 Mouse [Avocent Vi1
usb 1-5: new high speed USB device using ehci_hcd and address 3
[drm] Initialized drm 1.1.0 20060810
radeon 0000:10:0d.0: PCI INT A -> GSI 19 (level, low) -> IRQ 19
[drm] Detected VRAM RAM=16384K, accessible=16384K, BAR=131072K
usb 1-5: New USB device found, idVendor=04b4, idProduct=6560
usb 1-5: New USB device strings: Mfr=0, Product=0, SerialNumber=0
usb 1-5: configuration #1 chosen from 1 choice
hub 1-5:1.0: USB hub found
hub 1-5:1.0: 4 ports detected
work_for_cpu invoked oom-killer: gfp_mask=0x40d0, order=0, oomkilladj=0
work_for_cpu cpuset=/ mems_allowed=0
Pid: 129, comm: work_for_cpu Not tainted 2.6.30.9-96.fc11.x86_64 #1
Call Trace:
 [<ffffffff8107e894>] ? cpuset_print_task_mems_allowed+0x91/0x9c
 [<ffffffff810af172>] oom_kill_process+0x97/0x254
 [<ffffffff810af5f5>] ? select_bad_process+0xa3/0x102
 [<ffffffff810af6de>] __out_of_memory+0x8a/0x99
 [<ffffffff810af863>] out_of_memory+0x176/0x1a8
 [<ffffffff810b2dc0>] __alloc_pages_internal+0x379/0x42d
 [<ffffffff810d44b9>] alloc_pages_current+0xb7/0xc0
 [<ffffffff810d9b69>] alloc_slab_page+0x22/0x2f
 [<ffffffff810d9bdf>] new_slab+0x69/0x1c9
 [<ffffffff810da1f7>] __slab_alloc+0x206/0x38d
 [<ffffffffa001dc8b>] ? drm_mode_create+0x20/0x62 [drm]
 [<ffffffffa001dc8b>] ? drm_mode_create+0x20/0x62 [drm]
 [<ffffffff810da732>] kmem_cache_alloc_notrace+0x87/0xbd
 [<ffffffffa001dc8b>] drm_mode_create+0x20/0x62 [drm]
 [<ffffffffa00228d7>] drm_mode_std+0x12/0x29 [drm]
 [<ffffffffa001e034>] ? drm_mode_probed_add+0x22/0x24 [drm]
 [<ffffffffa0022dac>] drm_add_edid_modes+0x4be/0x6af [drm]
 [<ffffffffa00205f0>] ? drm_mode_connector_update_edid_property+0x111/0x169 [dr]
 [<ffffffffa006958d>] radeon_ddc_get_modes+0x76/0x9c [radeon]
 [<ffffffffa0067fec>] ? radeon_vga_detect+0x6a/0x75 [radeon]
 [<ffffffffa006804f>] radeon_vga_get_modes+0xe/0x10 [radeon]
 [<ffffffffa0021825>] drm_helper_probe_single_connector_modes+0xc8/0x22b [drm]
 [<ffffffffa00219cc>] drm_helper_probe_connector_modes+0x44/0x7a [drm]
 [<ffffffffa0021e03>] drm_helper_initial_config+0x2a/0x189 [drm]
 [<ffffffffa0069898>] radeon_modeset_init+0x180/0x18b [radeon]
 [<ffffffffa0051357>] radeon_driver_load+0x610/0x679 [radeon]
 [<ffffffffa001953d>] drm_get_dev+0x3b9/0x4a0 [drm]
 [<ffffffffa0076ee8>] radeon_pci_probe+0x15/0x269 [radeon]
 [<ffffffff811ddbf1>] local_pci_probe+0x17/0x1b
 [<ffffffff81059d2c>] do_work_for_cpu+0x18/0x2a
 [<ffffffff81059d14>] ? do_work_for_cpu+0x0/0x2a
 [<ffffffff8105d32c>] kthread+0x5a/0x85
 [<ffffffff81011d0a>] child_rip+0xa/0x20
 [<ffffffff8105d2d2>] ? kthread+0x0/0x85
 [<ffffffff81011d00>] ? child_rip+0x0/0x20
Mem-Info:
Node 0 DMA per-cpu:
CPU    0: hi:    0, btch:   1 usd:   0
CPU    1: hi:    0, btch:   1 usd:   0
CPU    2: hi:    0, btch:   1 usd:   0
CPU    3: hi:    0, btch:   1 usd:   0
CPU    4: hi:    0, btch:   1 usd:   0
CPU    5: hi:    0, btch:   1 usd:   0
CPU    6: hi:    0, btch:   1 usd:   0
CPU    7: hi:    0, btch:   1 usd:   0
Node 0 DMA32 per-cpu:
CPU    0: hi:  186, btch:  31 usd:   0
CPU    1: hi:  186, btch:  31 usd:   0
CPU    2: hi:  186, btch:  31 usd:   0
CPU    3: hi:  186, btch:  31 usd:   0
CPU    4: hi:  186, btch:  31 usd:   0
CPU    5: hi:  186, btch:  31 usd:   0
CPU    6: hi:  186, btch:  31 usd:   0
CPU    7: hi:  186, btch:  31 usd:   0
Node 0 Normal per-cpu:
CPU    0: hi:  186, btch:  31 usd:   0
CPU    1: hi:  186, btch:  31 usd:   0
CPU    2: hi:  186, btch:  31 usd:   0
CPU    3: hi:  186, btch:  31 usd:   0
CPU    4: hi:  186, btch:  31 usd:   0
CPU    5: hi:  186, btch:  31 usd:   0
CPU    6: hi:  186, btch:  31 usd:   0
CPU    7: hi:  186, btch:  31 usd:   0
Active_anon:307 active_file:0 inactive_anon:64
 inactive_file:0 unevictable:2131 dirty:0 writeback:0 unstable:0
 free:19079 slab:4041508 mapped:458 pagetables:79 bounce:0
Node 0 DMA free:7852kB min:4kB low:4kB high:4kB active_anon:0kB inactive_anon:0s
lowmem_reserve[]: 0 2995 16125 16125
Node 0 DMA32 free:55344kB min:3016kB low:3768kB high:4524kB active_anon:0kB inas
lowmem_reserve[]: 0 0 13130 13130
Node 0 Normal free:13120kB min:13228kB low:16532kB high:19840kB active_anon:122o
lowmem_reserve[]: 0 0 0 0
Node 0 DMA: 5*4kB 3*8kB 4*16kB 4*32kB 5*64kB 3*128kB 5*256kB 3*512kB 0*1024kB 0B
Node 0 DMA32: 2*4kB 5*8kB 3*16kB 4*32kB 5*64kB 2*128kB 6*256kB 6*512kB 5*1024kBB
Node 0 Normal: 49*4kB 19*8kB 12*16kB 9*32kB 8*64kB 1*128kB 0*256kB 1*512kB 0*10B
2131 total pagecache pages
0 pages in swap cache
Swap cache stats: add 0, delete 0, find 0/0
Free swap  = 0kB
Total swap = 0kB
4194304 pages RAM
118552 pages reserved
1610 pages shared
4054876 pages non-shared
Out of memory: kill process 123 (plymouthd) score 334 or a child
Killed process 123 (plymouthd)
work_for_cpu invoked oom-killer: gfp_mask=0x40d0, order=0, oomkilladj=0
work_for_cpu cpuset=/ mems_allowed=0
Pid: 129, comm: work_for_cpu Not tainted 2.6.30.9-96.fc11.x86_64 #1
Call Trace:
 [<ffffffff8107e894>] ? cpuset_print_task_mems_allowed+0x91/0x9c
 [<ffffffff810af172>] oom_kill_process+0x97/0x254
 [<ffffffff810af5f5>] ? select_bad_process+0xa3/0x102
 [<ffffffff810af6de>] __out_of_memory+0x8a/0x99
 [<ffffffff810af863>] out_of_memory+0x176/0x1a8
 [<ffffffff810b2dc0>] __alloc_pages_internal+0x379/0x42d
 [<ffffffff810d44b9>] alloc_pages_current+0xb7/0xc0
 [<ffffffff810d9b69>] alloc_slab_page+0x22/0x2f
 [<ffffffff810d9bdf>] new_slab+0x69/0x1c9
 [<ffffffff810da1f7>] __slab_alloc+0x206/0x38d
 [<ffffffffa001dc8b>] ? drm_mode_create+0x20/0x62 [drm]
 [<ffffffffa001dc8b>] ? drm_mode_create+0x20/0x62 [drm]
 [<ffffffff810da732>] kmem_cache_alloc_notrace+0x87/0xbd
 [<ffffffffa001dc8b>] drm_mode_create+0x20/0x62 [drm]
 [<ffffffffa00228d7>] drm_mode_std+0x12/0x29 [drm]
 [<ffffffffa001e034>] ? drm_mode_probed_add+0x22/0x24 [drm]
 [<ffffffffa0022dac>] drm_add_edid_modes+0x4be/0x6af [drm]
 [<ffffffffa00205f0>] ? drm_mode_connector_update_edid_property+0x111/0x169 [dr]
 [<ffffffffa006958d>] radeon_ddc_get_modes+0x76/0x9c [radeon]
 [<ffffffffa0067fec>] ? radeon_vga_detect+0x6a/0x75 [radeon]
 [<ffffffffa006804f>] radeon_vga_get_modes+0xe/0x10 [radeon]
 [<ffffffffa0021825>] drm_helper_probe_single_connector_modes+0xc8/0x22b [drm]
 [<ffffffffa00219cc>] drm_helper_probe_connector_modes+0x44/0x7a [drm]
 [<ffffffffa0021e03>] drm_helper_initial_config+0x2a/0x189 [drm]
 [<ffffffffa0069898>] radeon_modeset_init+0x180/0x18b [radeon]
 [<ffffffffa0051357>] radeon_driver_load+0x610/0x679 [radeon]
 [<ffffffffa001953d>] drm_get_dev+0x3b9/0x4a0 [drm]
 [<ffffffffa0076ee8>] radeon_pci_probe+0x15/0x269 [radeon]
 [<ffffffff811ddbf1>] local_pci_probe+0x17/0x1b
 [<ffffffff81059d2c>] do_work_for_cpu+0x18/0x2a
 [<ffffffff81059d14>] ? do_work_for_cpu+0x0/0x2a
 [<ffffffff8105d32c>] kthread+0x5a/0x85
 [<ffffffff81011d0a>] child_rip+0xa/0x20
 [<ffffffff8105d2d2>] ? kthread+0x0/0x85
 [<ffffffff81011d00>] ? child_rip+0x0/0x20
Mem-Info:
Node 0 DMA per-cpu:
CPU    0: hi:    0, btch:   1 usd:   0
CPU    1: hi:    0, btch:   1 usd:   0
CPU    2: hi:    0, btch:   1 usd:   0
CPU    3: hi:    0, btch:   1 usd:   0
CPU    4: hi:    0, btch:   1 usd:   0
CPU    5: hi:    0, btch:   1 usd:   0
CPU    6: hi:    0, btch:   1 usd:   0
CPU    7: hi:    0, btch:   1 usd:   0
Node 0 DMA32 per-cpu:
CPU    0: hi:  186, btch:  31 usd:   0
CPU    1: hi:  186, btch:  31 usd:   0
CPU    2: hi:  186, btch:  31 usd:   0
CPU    3: hi:  186, btch:  31 usd:   0
CPU    4: hi:  186, btch:  31 usd:   0
CPU    5: hi:  186, btch:  31 usd:   0
CPU    6: hi:  186, btch:  31 usd:   0
CPU    7: hi:  186, btch:  31 usd:   0
Node 0 Normal per-cpu:
CPU    0: hi:  186, btch:  31 usd:  30
CPU    1: hi:  186, btch:  31 usd:   0
CPU    2: hi:  186, btch:  31 usd:   0
CPU    3: hi:  186, btch:  31 usd:   0
CPU    4: hi:  186, btch:  31 usd:   0
CPU    5: hi:  186, btch:  31 usd:  81
CPU    6: hi:  186, btch:  31 usd:   0
CPU    7: hi:  186, btch:  31 usd:   0
Active_anon:307 active_file:0 inactive_anon:64
 inactive_file:0 unevictable:2131 dirty:0 writeback:0 unstable:0
 free:19079 slab:4041508 mapped:458 pagetables:79 bounce:0
Node 0 DMA free:7852kB min:4kB low:4kB high:4kB active_anon:0kB inactive_anon:0s
lowmem_reserve[]: 0 2995 16125 16125
Node 0 DMA32 free:55344kB min:3016kB low:3768kB high:4524kB active_anon:0kB inas
lowmem_reserve[]: 0 0 13130 13130
Node 0 Normal free:13120kB min:13228kB low:16532kB high:19840kB active_anon:122o
lowmem_reserve[]: 0 0 0 0
Node 0 DMA: 5*4kB 3*8kB 4*16kB 4*32kB 5*64kB 3*128kB 5*256kB 3*512kB 0*1024kB 0B
Node 0 DMA32: 2*4kB 5*8kB 3*16kB 4*32kB 5*64kB 2*128kB 6*256kB 6*512kB 5*1024kBB
Node 0 Normal: 28*4kB 14*8kB 12*16kB 9*32kB 8*64kB 1*128kB 0*256kB 1*512kB 0*10B
2131 total pagecache pages
0 pages in swap cache
Swap cache stats: add 0, delete 0, find 0/0
Free swap  = 0kB
Total swap = 0kB
4194304 pages RAM
118552 pages reserved
1469 pages shared
4054835 pages non-shared
Out of memory: kill process 128 (modprobe) score 78 or a child
Killed process 128 (modprobe)
INFO: task modprobe:128 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
modprobe      D 7fffffffffffffff     0   128      1
 ffff88043c445b78 0000000000000082 ffff88043c445ad8 ffffffff8106202a
 ffff8800281bad00 0000000000000246 ffff88043c445b08 ffffffff8103a7f1
 ffff88043c5e1aa8 000000000000e2e8 ffff88043c5e1aa8 0000000000012d00
Call Trace:
 [<ffffffff8106202a>] ? sched_clock_cpu+0x116/0x156
 [<ffffffff8103a7f1>] ? task_rq_lock+0x4c/0x7e
 [<ffffffff81044cbd>] ? set_cpus_allowed_ptr+0xf9/0x106
 [<ffffffff813d979c>] schedule+0xe/0x22
 [<ffffffff813d9a9d>] schedule_timeout+0x36/0xe1
 [<ffffffff81025a3a>] ? flat_send_IPI_mask+0x11/0x13
 [<ffffffff810217a3>] ? native_smp_send_reschedule+0x54/0x56
 [<ffffffff81038de8>] ? resched_task+0x63/0x65
 [<ffffffff813d9940>] wait_for_common+0xbf/0x10a
 [<ffffffff81041ada>] ? default_wake_function+0x0/0x14
 [<ffffffff813d9a2e>] wait_for_completion+0x1d/0x1f
 [<ffffffff81059b0e>] work_on_cpu+0x98/0xa9
 [<ffffffff811ddbda>] ? local_pci_probe+0x0/0x1b
 [<ffffffff811de9be>] pci_device_probe+0xad/0xfa
 [<ffffffff81272cad>] ? driver_sysfs_add+0x4c/0x71
 [<ffffffff81272e6d>] driver_probe_device+0xdb/0x1fb
 [<ffffffff81272fea>] __driver_attach+0x5d/0x81
 [<ffffffff81272f8d>] ? __driver_attach+0x0/0x81
 [<ffffffff81272330>] bus_for_each_dev+0x53/0x88
 [<ffffffff81272c0c>] driver_attach+0x1e/0x20
 [<ffffffff812728ee>] bus_add_driver+0xf7/0x259
 [<ffffffff812732d4>] driver_register+0x9d/0x10e
 [<ffffffff811dec05>] __pci_register_driver+0x58/0xc8
 [<ffffffffa00cd000>] ? radeon_init+0x0/0x6c [radeon]
 [<ffffffffa0014bed>] drm_init+0x72/0xd8 [drm]
 [<ffffffffa00cd000>] ? radeon_init+0x0/0x6c [radeon]
 [<ffffffffa00cd06a>] radeon_init+0x6a/0x6c [radeon]
 [<ffffffff8100a069>] do_one_initcall+0x5e/0x162
 [<ffffffff81070289>] sys_init_module+0xaa/0x1d5
 [<ffffffff81010c82>] system_call_fastpath+0x16/0x1b
INFO: task modprobe:128 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
modprobe      D 7fffffffffffffff     0   128      1
 ffff88043c445b78 0000000000000082 ffff88043c445ad8 ffffffff8106202a
 ffff8800281bad00 0000000000000246 ffff88043c445b08 ffffffff8103a7f1
 ffff88043c5e1aa8 000000000000e2e8 ffff88043c5e1aa8 0000000000012d00
Call Trace:
 [<ffffffff8106202a>] ? sched_clock_cpu+0x116/0x156
 [<ffffffff8103a7f1>] ? task_rq_lock+0x4c/0x7e
 [<ffffffff81044cbd>] ? set_cpus_allowed_ptr+0xf9/0x106
 [<ffffffff813d979c>] schedule+0xe/0x22
 [<ffffffff813d9a9d>] schedule_timeout+0x36/0xe1
 [<ffffffff81025a3a>] ? flat_send_IPI_mask+0x11/0x13
 [<ffffffff810217a3>] ? native_smp_send_reschedule+0x54/0x56
 [<ffffffff81038de8>] ? resched_task+0x63/0x65
 [<ffffffff813d9940>] wait_for_common+0xbf/0x10a
 [<ffffffff81041ada>] ? default_wake_function+0x0/0x14
 [<ffffffff813d9a2e>] wait_for_completion+0x1d/0x1f
 [<ffffffff81059b0e>] work_on_cpu+0x98/0xa9
 [<ffffffff811ddbda>] ? local_pci_probe+0x0/0x1b
 [<ffffffff811de9be>] pci_device_probe+0xad/0xfa
 [<ffffffff81272cad>] ? driver_sysfs_add+0x4c/0x71
 [<ffffffff81272e6d>] driver_probe_device+0xdb/0x1fb
 [<ffffffff81272fea>] __driver_attach+0x5d/0x81
 [<ffffffff81272f8d>] ? __driver_attach+0x0/0x81
 [<ffffffff81272330>] bus_for_each_dev+0x53/0x88
 [<ffffffff81272c0c>] driver_attach+0x1e/0x20
 [<ffffffff812728ee>] bus_add_driver+0xf7/0x259
 [<ffffffff812732d4>] driver_register+0x9d/0x10e
 [<ffffffff811dec05>] __pci_register_driver+0x58/0xc8
 [<ffffffffa00cd000>] ? radeon_init+0x0/0x6c [radeon]
 [<ffffffffa0014bed>] drm_init+0x72/0xd8 [drm]
 [<ffffffffa00cd000>] ? radeon_init+0x0/0x6c [radeon]
 [<ffffffffa00cd06a>] radeon_init+0x6a/0x6c [radeon]
 [<ffffffff8100a069>] do_one_initcall+0x5e/0x162
 [<ffffffff81070289>] sys_init_module+0xaa/0x1d5
 [<ffffffff81010c82>] system_call_fastpath+0x16/0x1b
INFO: task modprobe:128 blocked for more than 120 seconds.
"echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
modprobe      D 7fffffffffffffff     0   128      1
 ffff88043c445b78 0000000000000082 ffff88043c445ad8 ffffffff8106202a
 ffff8800281bad00 0000000000000246 ffff88043c445b08 ffffffff8103a7f1
 ffff88043c5e1aa8 000000000000e2e8 ffff88043c5e1aa8 0000000000012d00
Call Trace:
 [<ffffffff8106202a>] ? sched_clock_cpu+0x116/0x156
 [<ffffffff8103a7f1>] ? task_rq_lock+0x4c/0x7e
 [<ffffffff81044cbd>] ? set_cpus_allowed_ptr+0xf9/0x106
 [<ffffffff813d979c>] schedule+0xe/0x22
 [<ffffffff813d9a9d>] schedule_timeout+0x36/0xe1
 [<ffffffff81025a3a>] ? flat_send_IPI_mask+0x11/0x13
 [<ffffffff810217a3>] ? native_smp_send_reschedule+0x54/0x56
 [<ffffffff81038de8>] ? resched_task+0x63/0x65
 [<ffffffff813d9940>] wait_for_common+0xbf/0x10a
 [<ffffffff81041ada>] ? default_wake_function+0x0/0x14
 [<ffffffff813d9a2e>] wait_for_completion+0x1d/0x1f
 [<ffffffff81059b0e>] work_on_cpu+0x98/0xa9
 [<ffffffff811ddbda>] ? local_pci_probe+0x0/0x1b
 [<ffffffff811de9be>] pci_device_probe+0xad/0xfa
 [<ffffffff81272cad>] ? driver_sysfs_add+0x4c/0x71
 [<ffffffff81272e6d>] driver_probe_device+0xdb/0x1fb
 [<ffffffff81272fea>] __driver_attach+0x5d/0x81
 [<ffffffff81272f8d>] ? __driver_attach+0x0/0x81
 [<ffffffff81272330>] bus_for_each_dev+0x53/0x88
 [<ffffffff81272c0c>] driver_attach+0x1e/0x20
 [<ffffffff812728ee>] bus_add_driver+0xf7/0x259
 [<ffffffff812732d4>] driver_register+0x9d/0x10e
 [<ffffffff811dec05>] __pci_register_driver+0x58/0xc8
 [<ffffffffa00cd000>] ? radeon_init+0x0/0x6c [radeon]
 [<ffffffffa0014bed>] drm_init+0x72/0xd8 [drm]
 [<ffffffffa00cd000>] ? radeon_init+0x0/0x6c [radeon]
 [<ffffffffa00cd06a>] radeon_init+0x6a/0x6c [radeon]
 [<ffffffff8100a069>] do_one_initcall+0x5e/0x162
 [<ffffffff81070289>] sys_init_module+0xaa/0x1d5
 [<ffffffff81010c82>] system_call_fastpath+0x16/0x1b
md: stopping all md devices.
Restarting system.
machine restart

Comment 5 Colin Lai 2009-11-12 15:06:47 UTC
2.6.30.9-96.fc11.x86_64.debug kernel log:

Creating /dev
Creating initial device nodes
Loading /lib/kbdusb 1-3: new high speed USB device using ehci_hcd and address 2
/keymaps/i386/qwerty/us.map
[drm] Initialized drm 1.1.0 20060810
radeon 0000:11:0d.0: PCI INT A -> GSI 19 (level, low) -> IRQ 19
[drm] Detected VRAM RAM=16384K, accessible=16384K, BAR=131072K
usb 1-3: New USB device found, idVendor=0624, idProduct=0201
usb 1-3: New USB device strings: Mfr=2, Product=3, SerialNumber=1
usb 1-3: Product: Virtual Media KVM Module
usb 1-3: Manufacturer: Avocent
usb 1-3: SerialNumber: 130430041F6
usb 1-3: configuration #1 chosen from 1 choice
input: Avocent Virtual Media KVM Module as /devices/pci0000:00/0000:00:1d.7/usb1/1-3/1-3:1.0/input/input2
generic-usb 0003:0624:0201.0001: input,hidraw0: USB HID v1.10 Keyboard [Avocent Virtual Media KVM Module] on usb-0000:00:1d.7-3/input0
input: Avocent Virtual Media KVM Module as /devices/pci0000:00/0000:00:1d.7/usb1/1-3/1-3:1.1/input/input3
generic-usb 0003:0624:0201.0002: input,hidraw1: USB HID v1.10 Mouse [Avocent Virtual Media KVM Module] on usb-0000:00:1d.7-3/input1
usb 1-5: new high speed USB device using ehci_hcd and address 3
usb 1-5: New USB device found, idVendor=04b4, idProduct=6560
usb 1-5: New USB device strings: Mfr=0, Product=0, SerialNumber=0
usb 1-5: configuration #1 chosen from 1 choice
hub 1-5:1.0: USB hub found
hub 1-5:1.0: 4 ports detected
async/0 used greatest stack depth: 4336 bytes left
work_for_cpu invoked oom-killer: gfp_mask=0x40d0, order=0, oomkilladj=0
work_for_cpu cpuset=/ mems_allowed=0
Pid: 77, comm: work_for_cpu Not tainted 2.6.30.9-96.fc11.x86_64.debug #1
Call Trace:
 [<ffffffff810bc76e>] oom_kill_process+0x96/0x255
 [<ffffffff810bcbf4>] ? select_bad_process+0xa3/0x102
 [<ffffffff810bcce4>] __out_of_memory+0x91/0xa0
 [<ffffffff810bce1b>] ? out_of_memory+0x128/0x1ad
 [<ffffffff810bce69>] out_of_memory+0x176/0x1ad
 [<ffffffff810c083a>] __alloc_pages_internal+0x3d9/0x48f
 [<ffffffff81089eae>] ? cpuset_update_task_memory_state+0x0/0x10d
 [<ffffffff810e31c8>] alloc_pages_current+0xb7/0xc0
 [<ffffffff810e8b67>] alloc_slab_page+0x22/0x2f
 [<ffffffff810e8be3>] new_slab+0x6f/0x1d6
 [<ffffffff810e9236>] __slab_alloc+0x217/0x3a3
 [<ffffffffa001e117>] ? drm_mode_create+0x20/0x62 [drm]
 [<ffffffffa001e117>] ? drm_mode_create+0x20/0x62 [drm]
 [<ffffffff810e970f>] kmem_cache_alloc_notrace+0xaa/0x111
 [<ffffffffa001e117>] drm_mode_create+0x20/0x62 [drm]
 [<ffffffffa0022d7b>] drm_mode_std+0x12/0x29 [drm]
 [<ffffffffa001e4c8>] ? drm_mode_probed_add+0x22/0x24 [drm]
 [<ffffffffa0023250>] drm_add_edid_modes+0x4be/0x6af [drm]
 [<ffffffffa0020a94>] ? drm_mode_connector_update_edid_property+0x111/0x169 [drm]
 [<ffffffffa0069783>] radeon_ddc_get_modes+0x76/0x9c [radeon]
 [<ffffffffa00681e0>] ? radeon_vga_detect+0x6a/0x75 [radeon]
 [<ffffffffa0068243>] radeon_vga_get_modes+0xe/0x10 [radeon]
 [<ffffffffa0021cc9>] drm_helper_probe_single_connector_modes+0xc8/0x22b [drm]
 [<ffffffffa0021e70>] drm_helper_probe_connector_modes+0x44/0x7a [drm]
 [<ffffffffa00222a7>] drm_helper_initial_config+0x2a/0x189 [drm]
 [<ffffffffa0069a8e>] radeon_modeset_init+0x180/0x18b [radeon]
 [<ffffffffa0051393>] radeon_driver_load+0x610/0x679 [radeon]
 [<ffffffffa0019901>] drm_get_dev+0x3f6/0x4dd [drm]
 [<ffffffffa00770e0>] radeon_pci_probe+0x15/0x268 [radeon]
 [<ffffffff811f62b9>] local_pci_probe+0x17/0x1b
 [<ffffffff8105d3fb>] do_work_for_cpu+0x18/0x2a
 [<ffffffff8105d3e3>] ? do_work_for_cpu+0x0/0x2a
 [<ffffffff81060e1f>] kthread+0x5a/0x85
 [<ffffffff81011dca>] child_rip+0xa/0x20
 [<ffffffff81011790>] ? restore_args+0x0/0x30
 [<ffffffff81060dc5>] ? kthread+0x0/0x85
 [<ffffffff81011dc0>] ? child_rip+0x0/0x20
Mem-Info:
Node 0 DMA per-cpu:
CPU    0: hi:    0, btch:   1 usd:   0
CPU    1: hi:    0, btch:   1 usd:   0
Node 0 DMA32 per-cpu:
CPU    0: hi:  186, btch:  31 usd:   0
CPU    1: hi:  186, btch:  31 usd:   0
Node 0 Normal per-cpu:
CPU    0: hi:  186, btch:  31 usd:   0
CPU    1: hi:  186, btch:  31 usd:   0
Active_anon:160 active_file:0 inactive_anon:170
 inactive_file:0 unevictable:2228 dirty:0 writeback:0 unstable:0
 free:3893 slab:970671 mapped:441 pagetables:53 bounce:0
Node 0 DMA free:4616kB min:28kB low:32kB high:40kB active_anon:0kB inactive_anon:0kB active_file:0kB inactive_file:0kB unevictable:0kB present:15164kB pages_scanned:0 all_unreclaimable? yes
lowmem_reserve[]: 0 3203 3952 3952
Node 0 DMA32 free:9448kB min:6508kB low:8132kB high:9760kB active_anon:0kB inactive_anon:0kB active_file:0kB inactive_file:0kB unevictable:0kB present:3280608kB pages_scanned:0 all_unreclaimable? yes
lowmem_reserve[]: 0 0 748 748
Node 0 Normal free:1508kB min:1520kB low:1900kB high:2280kB active_anon:640kB inactive_anon:680kB active_file:0kB inactive_file:0kB unevictable:8912kB present:766464kB pages_scanned:1920 all_unreclaimable? no
lowmem_reserve[]: 0 0 0 0
Node 0 DMA: 2*4kB 4*8kB 4*16kB 5*32kB 4*64kB 2*128kB 3*256kB 2*512kB 2*1024kB 0*2048kB 0*4096kB = 4616kB
Node 0 DMA32: 4*4kB 3*8kB 4*16kB 2*32kB 1*64kB 0*128kB 2*256kB 1*512kB 0*1024kB 0*2048kB 2*4096kB = 9448kB
Node 0 Normal: 42*4kB 0*8kB 1*16kB 1*32kB 1*64kB 0*128kB 1*256kB 0*512kB 1*1024kB 0*2048kB 0*4096kB = 1560kB
2228 total pagecache pages
0 pages in swap cache
Swap cache stats: add 0, delete 0, find 0/0
Free swap  = 0kB
Total swap = 0kB
1048576 pages RAM
63828 pages reserved
1393 pages shared
979548 pages non-shared
Out of memory: kill process 72 (plymouthd) score 334 or a child
Killed process 72 (plymouthd)
work_for_cpu invoked oom-killer: gfp_mask=0x40d0, order=0, oomkilladj=0
work_for_cpu cpuset=/ mems_allowed=0
Pid: 77, comm: work_for_cpu Not tainted 2.6.30.9-96.fc11.x86_64.debug #1
Call Trace:
 [<ffffffff810bc76e>] oom_kill_process+0x96/0x255
 [<ffffffff810bcbf4>] ? select_bad_process+0xa3/0x102
 [<ffffffff810bcce4>] __out_of_memory+0x91/0xa0
 [<ffffffff810bce1b>] ? out_of_memory+0x128/0x1ad
 [<ffffffff810bce69>] out_of_memory+0x176/0x1ad
 [<ffffffff810c083a>] __alloc_pages_internal+0x3d9/0x48f
 [<ffffffff81089eae>] ? cpuset_update_task_memory_state+0x0/0x10d
 [<ffffffff810e31c8>] alloc_pages_current+0xb7/0xc0
 [<ffffffff810e8b67>] alloc_slab_page+0x22/0x2f
 [<ffffffff810e8be3>] new_slab+0x6f/0x1d6
 [<ffffffff810e9236>] __slab_alloc+0x217/0x3a3
 [<ffffffffa001e117>] ? drm_mode_create+0x20/0x62 [drm]
 [<ffffffffa001e117>] ? drm_mode_create+0x20/0x62 [drm]
 [<ffffffff810e970f>] kmem_cache_alloc_notrace+0xaa/0x111
 [<ffffffffa001e117>] drm_mode_create+0x20/0x62 [drm]
 [<ffffffffa0022d7b>] drm_mode_std+0x12/0x29 [drm]
 [<ffffffffa001e4c8>] ? drm_mode_probed_add+0x22/0x24 [drm]
 [<ffffffffa0023250>] drm_add_edid_modes+0x4be/0x6af [drm]
 [<ffffffffa0020a94>] ? drm_mode_connector_update_edid_property+0x111/0x169 [drm]
 [<ffffffffa0069783>] radeon_ddc_get_modes+0x76/0x9c [radeon]
 [<ffffffffa00681e0>] ? radeon_vga_detect+0x6a/0x75 [radeon]
 [<ffffffffa0068243>] radeon_vga_get_modes+0xe/0x10 [radeon]
 [<ffffffffa0021cc9>] drm_helper_probe_single_connector_modes+0xc8/0x22b [drm]
 [<ffffffffa0021e70>] drm_helper_probe_connector_modes+0x44/0x7a [drm]
 [<ffffffffa00222a7>] drm_helper_initial_config+0x2a/0x189 [drm]
 [<ffffffffa0069a8e>] radeon_modeset_init+0x180/0x18b [radeon]
 [<ffffffffa0051393>] radeon_driver_load+0x610/0x679 [radeon]
 [<ffffffffa0019901>] drm_get_dev+0x3f6/0x4dd [drm]
 [<ffffffffa00770e0>] radeon_pci_probe+0x15/0x268 [radeon]
 [<ffffffff811f62b9>] local_pci_probe+0x17/0x1b
 [<ffffffff8105d3fb>] do_work_for_cpu+0x18/0x2a
 [<ffffffff8105d3e3>] ? do_work_for_cpu+0x0/0x2a
 [<ffffffff81060e1f>] kthread+0x5a/0x85
 [<ffffffff81011dca>] child_rip+0xa/0x20
 [<ffffffff81011790>] ? restore_args+0x0/0x30
 [<ffffffff81060dc5>] ? kthread+0x0/0x85
 [<ffffffff81011dc0>] ? child_rip+0x0/0x20
Mem-Info:
Node 0 DMA per-cpu:
CPU    0: hi:    0, btch:   1 usd:   0
CPU    1: hi:    0, btch:   1 usd:   0
Node 0 DMA32 per-cpu:
CPU    0: hi:  186, btch:  31 usd:   0
CPU    1: hi:  186, btch:  31 usd:   0
Node 0 Normal per-cpu:
CPU    0: hi:  186, btch:  31 usd:   0
CPU    1: hi:  186, btch:  31 usd:   0
Active_anon:128 active_file:0 inactive_anon:156
 inactive_file:0 unevictable:2228 dirty:0 writeback:0 unstable:0
 free:3894 slab:970742 mapped:403 pagetables:36 bounce:0
Node 0 DMA free:4616kB min:28kB low:32kB high:40kB active_anon:0kB inactive_anon:0kB active_file:0kB inactive_file:0kB unevictable:0kB present:15164kB pages_scanned:0 all_unreclaimable? yes
lowmem_reserve[]: 0 3203 3952 3952
Node 0 DMA32 free:9448kB min:6508kB low:8132kB high:9760kB active_anon:0kB inactive_anon:0kB active_file:0kB inactive_file:0kB unevictable:0kB present:3280608kB pages_scanned:0 all_unreclaimable? yes
lowmem_reserve[]: 0 0 748 748
Node 0 Normal free:1512kB min:1520kB low:1900kB high:2280kB active_anon:512kB inactive_anon:624kB active_file:0kB inactive_file:0kB unevictable:8912kB present:766464kB pages_scanned:1632 all_unreclaimable? no
lowmem_reserve[]: 0 0 0 0
Node 0 DMA: 2*4kB 4*8kB 4*16kB 5*32kB 4*64kB 2*128kB 3*256kB 2*512kB 2*1024kB 0*2048kB 0*4096kB = 4616kB
Node 0 DMA32: 4*4kB 3*8kB 4*16kB 2*32kB 1*64kB 0*128kB 2*256kB 1*512kB 0*1024kB 0*2048kB 2*4096kB = 9448kB
Node 0 Normal: 25*4kB 15*8kB 2*16kB 1*32kB 0*64kB 0*128kB 1*256kB 0*512kB 1*1024kB 0*2048kB 0*4096kB = 1564kB
2228 total pagecache pages
0 pages in swap cache
Swap cache stats: add 0, delete 0, find 0/0
Free swap  = 0kB
Total swap = 0kB
1048576 pages RAM
63828 pages reserved
1277 pages shared
979585 pages non-shared
Out of memory: kill process 76 (modprobe) score 78 or a child
Killed process 76 (modprobe)

Comment 6 Colin Lai 2009-11-12 15:09:57 UTC
2.6.31.5-127.fc12.x86_64 log:
work_for_cpu invoked oom-killer: gfp_mask=0x40d0, order=0, oomkilladj=0
work_for_cpu cpuset=/ mems_allowed=0
Pid: 185, comm: work_for_cpu Not tainted 2.6.31.5-127.fc12.x86_64 #1
Call Trace:
 [<ffffffff8108a7d7>] ? cpuset_print_task_mems_allowed+0x91/0x9d
 [<ffffffff810c38e9>] oom_kill_process+0x98/0x256
 [<ffffffff810c3d6a>] ? select_bad_process+0xa3/0x102
 [<ffffffff810c3e53>] __out_of_memory+0x8a/0x99
 [<ffffffff810c3fc5>] out_of_memory+0x163/0x195
 [<ffffffff810c75c1>] __alloc_pages_nodemask+0x491/0x584
 [<ffffffff810eb1c4>] alloc_pages_current+0x95/0x9e
 [<ffffffff810f260c>] alloc_slab_page+0x1b/0x28
 [<ffffffff810f2688>] new_slab+0x6f/0x1d3
 [<ffffffff810f2c92>] __slab_alloc+0x1f1/0x3a1
 [<ffffffffa001c4ed>] ? drm_mode_create+0x20/0x62 [drm]
 [<ffffffffa001c4ed>] ? drm_mode_create+0x20/0x62 [drm]
 [<ffffffff810f320d>] kmem_cache_alloc_notrace+0x8c/0xc2
 [<ffffffffa001c4ed>] drm_mode_create+0x20/0x62 [drm]
 [<ffffffffa001f78c>] drm_gtf_mode+0x2a/0x1af [drm]
 [<ffffffffa00202df>] drm_mode_std+0x141/0x19f [drm]
 [<ffffffffa00205b3>] drm_add_edid_modes+0x276/0x5b3 [drm]
 [<ffffffffa001ef8c>] ? drm_mode_connector_update_edid_property+0x111/0x169 [dr]
 [<ffffffffa007f97c>] radeon_ddc_get_modes+0x79/0x8b [radeon]
 [<ffffffffa007c8be>] radeon_vga_get_modes+0xe/0x10 [radeon]
 [<ffffffffa0041bd4>] drm_helper_probe_single_connector_modes+0x103/0x282 [drm_]
 [<ffffffffa0041d97>] drm_helper_probe_connector_modes+0x44/0x7a [drm_kms_helpe]
 [<ffffffffa00422f7>] drm_helper_initial_config+0x2a/0x61 [drm_kms_helper]
 [<ffffffffa007ffe4>] radeon_modeset_init+0x53c/0x550 [radeon]
 [<ffffffffa0089b6c>] ? r100_init+0x1ce/0x23c [radeon]
 [<ffffffffa006cb5b>] radeon_driver_load_kms+0x125/0x13a [radeon]
 [<ffffffffa00183ba>] drm_get_dev+0x36e/0x46f [drm]
 [<ffffffff81063af6>] ? do_work_for_cpu+0x0/0x2a
 [<ffffffffa009f670>] radeon_pci_probe+0x15/0x269 [radeon]
 [<ffffffff812101e1>] local_pci_probe+0x17/0x1b
 [<ffffffff81063b0e>] do_work_for_cpu+0x18/0x2a
 [<ffffffff81067765>] kthread+0x91/0x99
 [<ffffffff81012daa>] child_rip+0xa/0x20
 [<ffffffff810676d4>] ? kthread+0x0/0x99
 [<ffffffff81012da0>] ? child_rip+0x0/0x20
Mem-Info:
Node 0 DMA per-cpu:
CPU    0: hi:    0, btch:   1 usd:   0
CPU    1: hi:    0, btch:   1 usd:   0
CPU    2: hi:    0, btch:   1 usd:   0
CPU    3: hi:    0, btch:   1 usd:   0
CPU    4: hi:    0, btch:   1 usd:   0
CPU    5: hi:    0, btch:   1 usd:   0
CPU    6: hi:    0, btch:   1 usd:   0
CPU    7: hi:    0, btch:   1 usd:   0
Node 0 DMA32 per-cpu:
CPU    0: hi:  186, btch:  31 usd:   0
CPU    1: hi:  186, btch:  31 usd:   0
CPU    2: hi:  186, btch:  31 usd:   0
CPU    3: hi:  186, btch:  31 usd:   0
CPU    4: hi:  186, btch:  31 usd:   0
CPU    5: hi:  186, btch:  31 usd:   0
CPU    6: hi:  186, btch:  31 usd:   0
CPU    7: hi:  186, btch:  31 usd:   0
Node 0 Normal per-cpu:
CPU    0: hi:  186, btch:  31 usd:   0
CPU    1: hi:  186, btch:  31 usd:   0
CPU    2: hi:  186, btch:  31 usd:   0
CPU    3: hi:  186, btch:  31 usd:   0
CPU    4: hi:  186, btch:  31 usd:   0
CPU    5: hi:  186, btch:  31 usd:   0
CPU    6: hi:  186, btch:  31 usd:   0
CPU    7: hi:  186, btch:  31 usd:   0
Active_anon:1741 active_file:19 inactive_anon:222
 inactive_file:79 unevictable:8259 dirty:0 writeback:0 unstable:0
 free:21112 slab:4005795 mapped:321 pagetables:365 bounce:0
Node 0 DMA free:15800kB min:12kB low:12kB high:16kB active_anon:0kB inactive_ans
lowmem_reserve[]: 0 2995 16125 16125
Node 0 DMA32 free:55576kB min:3016kB low:3768kB high:4524kB active_anon:0kB inas
lowmem_reserve[]: 0 0 13130 13130
Node 0 Normal free:13436kB min:13224kB low:16528kB high:19836kB active_anon:696o
lowmem_reserve[]: 0 0 0 0
Node 0 DMA: 2*4kB 2*8kB 2*16kB 2*32kB 3*64kB 1*128kB 2*256kB 1*512kB 2*1024kB 2B
Node 0 DMA32: 3*4kB 1*8kB 0*16kB 2*32kB 5*64kB 1*128kB 5*256kB 3*512kB 5*1024kBB
Node 0 Normal: 302*4kB 126*8kB 62*16kB 37*32kB 15*64kB 4*128kB 0*256kB 1*512kB B
8384 total pagecache pages
0 pages in swap cache
Swap cache stats: add 0, delete 0, find 0/0
Free swap  = 0kB
Total swap = 0kB
4194304 pages RAM
77620 pages reserved
6035 pages shared
4094589 pages non-shared
Out of memory: kill process 209 (plymouthd) score 400 or a child
Killed process 209 (plymouthd)
work_for_cpu invoked oom-killer: gfp_mask=0x40d0, order=0, oomkilladj=0
work_for_cpu cpuset=/ mems_allowed=0
Pid: 185, comm: work_for_cpu Not tainted 2.6.31.5-127.fc12.x86_64 #1
Call Trace:
 [<ffffffff8108a7d7>] ? cpuset_print_task_mems_allowed+0x91/0x9d
 [<ffffffff810c38e9>] oom_kill_process+0x98/0x256
 [<ffffffff810c3d6a>] ? select_bad_process+0xa3/0x102
 [<ffffffff810c3e53>] __out_of_memory+0x8a/0x99
 [<ffffffff810c3fc5>] out_of_memory+0x163/0x195
 [<ffffffff810c75c1>] __alloc_pages_nodemask+0x491/0x584
 [<ffffffff810eb1c4>] alloc_pages_current+0x95/0x9e
 [<ffffffff810f260c>] alloc_slab_page+0x1b/0x28
 [<ffffffff810f2688>] new_slab+0x6f/0x1d3
 [<ffffffff810f2c92>] __slab_alloc+0x1f1/0x3a1
 [<ffffffffa001c4ed>] ? drm_mode_create+0x20/0x62 [drm]
 [<ffffffffa001c4ed>] ? drm_mode_create+0x20/0x62 [drm]
 [<ffffffff810f320d>] kmem_cache_alloc_notrace+0x8c/0xc2
 [<ffffffffa001c4ed>] drm_mode_create+0x20/0x62 [drm]
 [<ffffffffa001f78c>] drm_gtf_mode+0x2a/0x1af [drm]
 [<ffffffffa00202df>] drm_mode_std+0x141/0x19f [drm]
 [<ffffffffa00205b3>] drm_add_edid_modes+0x276/0x5b3 [drm]
 [<ffffffffa001ef8c>] ? drm_mode_connector_update_edid_property+0x111/0x169 [dr]
 [<ffffffffa007f97c>] radeon_ddc_get_modes+0x79/0x8b [radeon]
 [<ffffffffa007c8be>] radeon_vga_get_modes+0xe/0x10 [radeon]
 [<ffffffffa0041bd4>] drm_helper_probe_single_connector_modes+0x103/0x282 [drm_]
 [<ffffffffa0041d97>] drm_helper_probe_connector_modes+0x44/0x7a [drm_kms_helpe]
 [<ffffffffa00422f7>] drm_helper_initial_config+0x2a/0x61 [drm_kms_helper]
 [<ffffffffa007ffe4>] radeon_modeset_init+0x53c/0x550 [radeon]
 [<ffffffffa0089b6c>] ? r100_init+0x1ce/0x23c [radeon]
 [<ffffffffa006cb5b>] radeon_driver_load_kms+0x125/0x13a [radeon]
 [<ffffffffa00183ba>] drm_get_dev+0x36e/0x46f [drm]
 [<ffffffff81063af6>] ? do_work_for_cpu+0x0/0x2a
 [<ffffffffa009f670>] radeon_pci_probe+0x15/0x269 [radeon]
 [<ffffffff812101e1>] local_pci_probe+0x17/0x1b
 [<ffffffff81063b0e>] do_work_for_cpu+0x18/0x2a
 [<ffffffff81067765>] kthread+0x91/0x99
 [<ffffffff81012daa>] child_rip+0xa/0x20
 [<ffffffff810676d4>] ? kthread+0x0/0x99
 [<ffffffff81012da0>] ? child_rip+0x0/0x20
Mem-Info:
Node 0 DMA per-cpu:
CPU    0: hi:    0, btch:   1 usd:   0
CPU    1: hi:    0, btch:   1 usd:   0
CPU    2: hi:    0, btch:   1 usd:   0
CPU    3: hi:    0, btch:   1 usd:   0
CPU    4: hi:    0, btch:   1 usd:   0
CPU    5: hi:    0, btch:   1 usd:   0
CPU    6: hi:    0, btch:   1 usd:   0
CPU    7: hi:    0, btch:   1 usd:   0
Node 0 DMA32 per-cpu:
CPU    0: hi:  186, btch:  31 usd:   0
CPU    1: hi:  186, btch:  31 usd:   0
CPU    2: hi:  186, btch:  31 usd:   0
CPU    3: hi:  186, btch:  31 usd:   0
CPU    4: hi:  186, btch:  31 usd:   0
CPU    5: hi:  186, btch:  31 usd:   0
CPU    6: hi:  186, btch:  31 usd:   0
CPU    7: hi:  186, btch:  31 usd:   0
Node 0 Normal per-cpu:
CPU    0: hi:  186, btch:  31 usd:   0
CPU    1: hi:  186, btch:  31 usd:   0
CPU    2: hi:  186, btch:  31 usd:   0
CPU    3: hi:  186, btch:  31 usd:   0
CPU    4: hi:  186, btch:  31 usd:   0
CPU    5: hi:  186, btch:  31 usd:   0
CPU    6: hi:  186, btch:  31 usd:   0
CPU    7: hi:  186, btch:  31 usd:   0
Active_anon:1742 active_file:6 inactive_anon:221
 inactive_file:0 unevictable:8353 dirty:0 writeback:0 unstable:0
 free:21051 slab:4005927 mapped:224 pagetables:365 bounce:0
Node 0 DMA free:15800kB min:12kB low:12kB high:16kB active_anon:0kB inactive_ans
lowmem_reserve[]: 0 2995 16125 16125
Node 0 DMA32 free:55376kB min:3016kB low:3768kB high:4524kB active_anon:0kB inas
lowmem_reserve[]: 0 0 13130 13130
Node 0 Normal free:13292kB min:13224kB low:16528kB high:19836kB active_anon:696o
lowmem_reserve[]: 0 0 0 0
Node 0 DMA: 2*4kB 2*8kB 2*16kB 2*32kB 3*64kB 1*128kB 2*256kB 1*512kB 2*1024kB 2B
Node 0 DMA32: 4*4kB 5*8kB 1*16kB 4*32kB 6*64kB 1*128kB 6*256kB 4*512kB 4*1024kBB
Node 0 Normal: 336*4kB 132*8kB 46*16kB 37*32kB 14*64kB 3*128kB 1*256kB 1*512kB B
8384 total pagecache pages
0 pages in swap cache
Swap cache stats: add 0, delete 0, find 0/0
Free swap  = 0kB
Total swap = 0kB
4194304 pages RAM
77620 pages reserved
5840 pages shared
4094696 pages non-shared
Out of memory: kill process 275 (udevadm) score 129 or a child
Killed process 275 (udevadm)
Killed
      Kernel panic - not syncing: Out of memory and no killable processes...

Pid: 1, comm: init Not tainted 2.6.31.5-127.fc12.x86_64 #1
Call Trace:
 [<ffffffff8141885c>] panic+0x7a/0x12c
 [<ffffffff810c3cf6>] ? select_bad_process+0x2f/0x102
 [<ffffffff810c3e38>] __out_of_memory+0x6f/0x99
 [<ffffffff810c3fc5>] out_of_memory+0x163/0x195
 [<ffffffff810c75c1>] __alloc_pages_nodemask+0x491/0x584
 [<ffffffff810eb1c4>] alloc_pages_current+0x95/0x9e
 [<ffffffff81037c98>] pte_alloc_one+0x19/0x3d
 [<ffffffff810d8470>] __pte_alloc+0x20/0xd4
 [<ffffffff810da020>] copy_page_range+0x2aa/0x662
 [<ffffffff811c58b6>] ? selinux_capable+0xb7/0x10c
 [<ffffffff8104f7b4>] dup_mm+0x2d3/0x3d8
 [<ffffffff8105036a>] copy_process+0xa70/0x12ac
 [<ffffffff81067ae7>] ? autoremove_wake_function+0x0/0x39
 [<ffffffff81050d0a>] do_fork+0x164/0x344
 [<ffffffff810fc080>] ? fsnotify_access+0x6c/0x74
 [<ffffffff810fcb33>] ? vfs_read+0xd0/0x108
 [<ffffffff81010449>] sys_clone+0x28/0x2a
 [<ffffffff81012093>] stub_clone+0x13/0x20
 [<ffffffff81011cf2>] ? system_call_fastpath+0x16/0x1b

Comment 7 Catalin Bucur 2010-02-01 12:36:33 UTC
Everything it's ok after installed newest kernel from F11 2.6.30.10-105.fc11.i586
Now I've done the upgrade to F12 (kernel 2.6.31.12-174.2.3.fc12.i686) and it's fine too.

Comment 8 Jérôme Glisse 2010-02-01 13:50:04 UTC
Ok so closing the bug


Note You need to log in before you can comment on or make changes to this bug.